

import fullPage from './fullPage'

const fullPageTool = {
	//检查
	check(to) {
		//如果在这个列表里就设置可以全屏
		// 使用示例
		const allPaths = this.getPath(fullPage)
		// console.log('奇怪呢',' allPaths ',allPaths)
		allPaths.forEach((item) => {
			// console.log('全屏失效了吗',' 进来的路径 ',to.path,' 设置的全屏路径 ',item)
			if (to.path.includes(item)) {
				to.meta.fullpage = true
			}
		})
	},
	getPath(routes) {
		let paths = []

		routes.forEach((route) => {
			if (route.path) {
				paths.push(route.path)
			}
			if (route.children && Array.isArray(route.children)) {
				paths = paths.concat(this.getPath(route.children))
			}
		})

		return paths
	}
}
/**
 * 路由白名单（数组形式）
 *
 * 如果组件像登录一样，那就简单的写一个path，即可实现放开，
 * 如果组件不在这边的，需要手动添加组件，就像other一样，
 * 因为没登陆你没法拿到后端给你返回的那一坨，当然就找不到component
 *
 * @author yubaoshan
 */
export default fullPageTool
